Vai al contenuto

Advance status of service activation group to 'Confirmed'

Richiesta

Security policies: OrganizationOrGlobalContractEditByOrganization

Sicurezza
OpenIdConnect
Percorso
idstringobbligatorio
serviceActivationGroupIdstringobbligatorio

Id of group

Query
sendNotificationboolean

Optional flag to control whether contract ready email notification should be sent. When false or not provided, no email is sent.

PUT
/v1/organizations/{id}/service-activation-groups/{serviceActivationGroupId}/confirm
curl -i -X PUT \
  '/v1/organizations/{id}/service-activation-groups/{serviceActivationGroupId}/confirm?sendNotification=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Risposte

OK

Corpoapplication/json
groupIdstring

The Service Activation Group identifier

statusstring, (int32)

The current status of the Service Activation Group

Enum:"Draft""Onboarding""Signing""Provisioning""Completed""Support"
processedContractsArray of objects(ContractStatusUpdateSummaryDto)

Summary of all processed contracts in the group

Risposta
{ "groupId": "string", "status": "Draft", "processedContracts": [ { … } ] }